bug reports would benefit from an apport hook

Bug #338442 reported by Brian Murray on 2009-03-05
6
Affects Status Importance Assigned to Milestone
c2050 (Ubuntu)
Undecided
Unassigned
foo2zjs (Ubuntu)
Undecided
Unassigned
foomatic-db (Ubuntu)
Undecided
Unassigned
foomatic-db-engine (Ubuntu)
Undecided
Unassigned
foomatic-filters (Ubuntu)
Undecided
Unassigned
foomatic-gui (Ubuntu)
Undecided
Unassigned
ghostscript (Ubuntu)
Undecided
Unassigned
gnome-cups-manager (Ubuntu)
Undecided
Unassigned
gutenprint (Ubuntu)
Undecided
Unassigned
hal-cups-utils (Ubuntu)
Undecided
Unassigned
hp-ppd (Ubuntu)
Undecided
Unassigned
hplip (Ubuntu)
Undecided
Unassigned
hpoj (Ubuntu)
Undecided
Unassigned
m2300w (Ubuntu)
Undecided
Unassigned
min12xxw (Ubuntu)
Undecided
Unassigned
pnm2ppa (Ubuntu)
Undecided
Unassigned
pxljr (Ubuntu)
Undecided
Unassigned
splix (Ubuntu)
Undecided
Unassigned
system-config-printer (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: system-config-printer

Apport has a new hook utility for gathering information useful to debugging printing problems. If a package hook were written to take advantage of this we could would get much more informative bug reports without requiring reporters to gather more information after they've already reported the bug.

An example of what the package hook would look like can be found in the cups apport hook:

'''apport package hook for cups

(c) 2009 Canonical Ltd.
Author: Brian Murray <email address hidden>
'''

from apport.hookutils import *

def add_info(report):
    attach_hardware(report)
    attach_printing(report)

The package hook for any other printing related package should be similar if not exactly the same.

Steve Beattie (sbeattie) wrote :

Here's a debdiff for system-config-printer.

Steve Beattie (sbeattie) on 2009-03-06
Changed in system-config-printer:
status: New → In Progress
StefanPotyra (sistpoty) wrote :

hm... what exactly will this do? for min12xxw, there's hardly ever a bug filed against it (but iirc a few were filed against cups instead - which admitted was the right place since only cups could workaround the real problem which is a faulty hardware implementation of the usb printing protocol).
If I add this hook to min12xxw, will this help to get bugs referring to min12xxw based printers to hit the min12xxw package instead of cups? If not, I doubt it's worth it for this case, due to the extremely low bug ratio for min12xxw (and debian's popcon stats indicate that min12xxw based printers aren't really that much widespread so I don't expect much bug reports in the future).

Brian Murray (brian-murray) wrote :

Stefan - I wasn't aware of the bug filing volume, or lack there of, for min12xxw. This hook would just gather more information for min12xxw bug reports, not get them to the right place. Feel free to Won't Fix the task.

StefanPotyra (sistpoty) wrote :

ok, marking as won't fix. Thanks for the explanation Brian. And thanks for your work, I'm sure it will be be very good for the drivers of printers that are more widespread ;).

Changed in min12xxw:
status: New → Won't Fix
Changed in system-config-printer:
importance: Undecided → Medium
Changed in gnome-cups-manager:
status: New → Invalid
Changed in system-config-printer (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package foomatic-filters - 4.0.0-0ubuntu8

---------------
foomatic-filters (4.0.0-0ubuntu8) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 12:21:49 +0100

Changed in foomatic-filters:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 8.64.dfsg.1-0ubuntu3

---------------
ghostscript (8.64.dfsg.1-0ubuntu3) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 12:39:49 +0100

Changed in ghostscript:
status: New → Fix Released
Till Kamppeter (till-kamppeter) wrote :

Package is obsolete.

Changed in hpoj (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-cups-utils - 0.6.19+git20090217-0ubuntu4

---------------
hal-cups-utils (0.6.19+git20090217-0ubuntu4) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/hal-cups-utils.install: Added apport
    hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 13:31:49 +0100

Changed in hal-cups-utils:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package foomatic-db - 20090218-0ubuntu2

---------------
foomatic-db (20090218-0ubuntu2) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 14:07:49 +0100

Changed in foomatic-db:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package foomatic-db-engine - 4.0.0-0ubuntu5

---------------
foomatic-db-engine (4.0.0-0ubuntu5) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 15:15:49 +0100

Changed in foomatic-db-engine:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hplip - 3.9.2-3ubuntu1

---------------
hplip (3.9.2-3ubuntu1) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules, debian/hplip-data.install:
    Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 16:44:49 +0100

Changed in hplip:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gutenprint - 5.2.3-0ubuntu2

---------------
gutenprint (5.2.3-0ubuntu2) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules,
    debian/cups-driver-gutenprint.install: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 17:12:49 +0100

Changed in gutenprint:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package splix - 2.0.0-0.1ubuntu2

---------------
splix (2.0.0-0.1ubuntu2) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 18:05:49 +0100

Changed in splix:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package foo2zjs - 20090217-0ubuntu3

---------------
foo2zjs (20090217-0ubuntu3) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 19 Mar 2009 18:31:49 +0100

Changed in foo2zjs:
status: New → Fix Released

The most important printing-related packages (core and drivers for most popular printers) have the Apport hook now (I updated packages today until the beta freeze has kicked in), which means that bug reports generated by Apport for these packages contain printing-relevant configuration and log files.

As this is not beta-critical, the remaining packages will get the Apport hook after the beta release.

I did not take into account packages which are obsolete (like HPOJ) or in Universe (like foomatic-gui),

Brian Murray (brian-murray) wrote :

Thanks for getting them all in!

Changed in pxljr (Ubuntu):
status: New → In Progress
Changed in m2300w (Ubuntu):
status: New → In Progress
Changed in min12xxw (Ubuntu):
status: Won't Fix → In Progress
Changed in pnm2ppa (Ubuntu):
status: New → In Progress

hp-ppd is obsolete. The upstream source for it are the HP PPDs from the OpenPrinting web site and these are also part of the foomatic-db package (binary package openprinting-ppds). Closing hp-ppd task.

Changed in hp-ppd (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pxljr - 1.1-0ubuntu6

---------------
pxljr (1.1-0ubuntu6) jaunty; urgency=low

  * debian/pxljr.postinst: Silenced non-fatal error messages when
    post-install script updates PPDs and there are PPDs not belonging to
    a CUPS queue in /etc/cups/ppd/ (LP: #345866).

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 26 Mar 2009 16:37:50 +0100

Changed in pxljr:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package m2300w - 0.51-0ubuntu7

---------------
m2300w (0.51-0ubuntu7) jaunty; urgency=low

  * debian/m2300w.postinst: Silenced non-fatal error messages when
    post-install script updates PPDs and there are PPDs not belonging to
    a CUPS queue in /etc/cups/ppd/ (LP: #345866).

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 26 Mar 2009 16:57:50 +0100

Changed in m2300w:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package min12xxw - 0.0.9-1ubuntu2

---------------
min12xxw (0.0.9-1ubuntu2) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Thu, 26 Mar 2009 17:20:50 +0100

Changed in min12xxw:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pnm2ppa - 1.12-16.2ubuntu2

---------------
pnm2ppa (1.12-16.2ubuntu2) karmic; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden> Mon, 29 Jun 2009 00:20:50 +0200

Changed in pnm2ppa (Ubuntu):
status: In Progress → Fix Released
Changed in c2050 (Ubuntu):
assignee: nobody → Marco Nenciarini (mnencia)
status: New → Fix Committed
Marco Nenciarini (mnencia) wrote :

The package in Ubuntu is already fixed, but I've updated also the Debian source to include the apport-hook when built on Ubuntu.

Changed in c2050 (Ubuntu):
assignee: Marco Nenciarini (mnencia) → nobody
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers